Summary:	V3D library
Summary(pl.UTF-8):	Biblioteka V3D
Name:		libv3d
Version:	0.1.14
Release:	3
License:	LGPL v2.1
Group:		Libraries
Source0:	http://wolfsinger.com/~wolfpack/packages/%{name}-%{version}.tar.bz2
# Source0-md5:	2b125509b0be8b87e0d7262ebd69346d
Patch0:		%{name}-soname.patch
URL:		http://freecode.com/projects/libv3d
BuildRequires:	OpenGL-devel
BuildRequires:	OpenGL-GLU-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libv3d library is a IO library for the V3D file format, a 3D model
file generated by the modeller Vertex 3D Model Assembler (hence the
name V3D). It is used to read and write V3D data to/from file and
memory with integrated OpenGL library support. V3D data can be loaded
and then interpreted into GL commands, suitable for GL display lists.

%description -l pl.UTF-8
Biblioteka libv3d to biblioteka wejścia-wyjścia dla formatu plików V3D
- plików modeli 3D generowanych przez modeler Vertex 3D Model
Assembler (stąd nazwa V3D). Służy do odczytu i zapisu danych V3D z/do
pliku i pamięci z obsługą biblioteki OpenGL. Dane V3D mogą być
wczytane i przekształcone na polecenia GL, odpowiednie dla list
wyświetlających.

%package devel
Summary:	LibV3D development headers
Summary(pl.UTF-8):	Pliki nagłówkowe LibV3D
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for LibV3D library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki LibV3D.

%prep
%setup -q
%patch0 -p1

%build
./configure Linux

%{__make} \
	CC="%{__cc}" \
	CPP="%{__cxx}" \
	CFLAGS="%{rpmcflags} -Wall %{!?debug:-fomit-frame-pointer} -ffast-math -D__USE_BSD" \
	LIB_DIRS=

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	LIB_DIR=$RPM_BUILD_ROOT%{_libdir} \
	MAN_DIR=$RPM_BUILD_ROOT%{_mandir}/man3

/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/libv3d.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libv3d.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libv3d.so
%{_includedir}/v3d
%{_mandir}/man3/V3D*.3*
%{_mandir}/man3/v3d_*.3*
%changelog
* Sun Feb 02 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libv3d.git;a=log;h=master

* Sun Feb 02 2014 Jakub Bogusz <qboosh@pld-linux.org> b7ee483
- fixed lib64 install; release 3

* Sun Feb 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 2d3e0e4
- new URLs, tarball regenerated
- spec cleanup/update
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b5353ef
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a7be445
- converted to UTF-8

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 9d99684
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 32da051
- fix groups

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 959852a
- avoid defining default %attr

* Thu Jul 21 2005 darekr <darekr@pld-linux.org> 01b14f6
- quote CC, CXX

* Tue Nov 11 2003 ankry <ankry@pld-linux.org> 30b1c4d
- caps unification, other cosmetics

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> ad8f9ff
- mass commit: cosmetics (removed trailing white spaces)

* Fri Jun 06 2003 Jakub Bogusz <qboosh@pld-linux.org> 086c244
- updated feedback address

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 7889f8f
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 74af870
- massive attack s/pld.org.pl/pld-linux.org/

* Tue Feb 11 2003 Jakub Bogusz <qboosh@pld-linux.org> 82bb38f
- added soname patch, descriptions, pass CC and CFLAGS, fixed files

* Tue Feb 11 2003 Jakub Bogusz <qboosh@pld-linux.org> d0e6b0d
- add missing SONAME to library

* Mon Jan 27 2003 cieciwa <cieciwa@pld-linux.org> 89ec5e9
- initial version,
- needed fullfiel and checkout for spellin,
- building OK.

